### Hierarchy

- Sha2Hash

### Implemented by

- WebCryptoSha2Hash

## Index

### Methods

- digest

## Methods

### digest

- digest(data: NodeJS.TypedArray, algorithm?: "sha256" | "sha512"): Promise<Buffer>

- - Defined in encryption/sha2Hash.ts:7

  #### Parameters

  - ##### data: NodeJS.TypedArray

  - ##### Optional algorithm: "sha256" | "sha512"

  #### Returns Promise<Buffer>

Generated using TypeDoc